Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dataxslt
Class Microsite

    java.lang.Object
      dom.DOMDocument
          com.knowgate.dataxslt.Microsite

    public class Microsite

extends dom.DOMDocument

Microsite DOMDocument. Metadata for a PageSet.

Field Summary
`static short` | `ClassId`

Constructor Summary
`Microsite()`
`Microsite(java.lang.String sURI)`
`Microsite(java.lang.String sURI, boolean bValidateXML)`

Method Summary
`Container` | `container(int iIndex)`
`Container` | `container(java.lang.String sGUID)`
`java.util.Vector` | `containers()`
`void` | `createPageSet(java.lang.String sPath, java.util.HashMap oParameters)`
`static java.lang.String` | `getMicrositeGUID(java.lang.String sMicrositeURI)`
`java.lang.String` | `guid()`
`static void` | `main(java.lang.String[] argv)`
`java.lang.String` | `name()`
`org.w3c.dom.Element` | `seekChildByAttr(org.w3c.dom.Node oParent, java.lang.String sAttrName, java.lang.String sAttrValue)`

Methods inherited from class dom.DOMDocument
`filterChildsByName, getAttribute, getDocument, getFirstElement, getNamesSpaces, getNextElement, getRootElement, getRootNode, getTextValue, getValidation, getWriterEncoding, parseStream, parseURI, parseURI, print, print, seekChildByName, setAttribute, setNamesSpaces, setValidation, sortAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ClassId

    public static final short ClassId

See Also:
  Constant Field Values

Constructor Detail

### Microsite

    public Microsite()

### Microsite

    public Microsite(java.lang.String sURI)
              throws java.lang.ClassNotFoundException,
                     java.lang.Exception,
                     java.lang.IllegalAccessException

Throws:
  `java.lang.ClassNotFoundException`
  `java.lang.Exception`
  `java.lang.IllegalAccessException`

### Microsite

    public Microsite(java.lang.String sURI,
                     boolean bValidateXML)
              throws java.lang.ClassNotFoundException,
                     java.lang.Exception,
                     java.lang.IllegalAccessException

Throws:
  `java.lang.ClassNotFoundException`
  `java.lang.Exception`
  `java.lang.IllegalAccessException`

Method Detail

### guid

    public java.lang.String guid()

### name

    public java.lang.String name()

### container

    public Container container(int iIndex)

### container

    public Container container(java.lang.String sGUID)

### containers

    public java.util.Vector containers()

### seekChildByAttr

    public org.w3c.dom.Element seekChildByAttr(org.w3c.dom.Node oParent,
                                               java.lang.String sAttrName,
                                               java.lang.String sAttrValue)

  Overrides:
    `seekChildByAttr` in class `dom.DOMDocument`

### createPageSet

    public void createPageSet(java.lang.String sPath,
                              java.util.HashMap oParameters)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMicrositeGUID

    public static java.lang.String getMicrositeGUID(java.lang.String sMicrositeURI)
                                             throws java.io.FileNotFoundException,
                                                    java.io.IOException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### main

    public static void main(java.lang.String[] argv)
                     throws java.lang.IllegalAccessException,
                            java.lang.ClassNotFoundException,
                            java.lang.Exception

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.ClassNotFoundException`
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD